org.eclipse.ease

## Interface IDebugEngine

All Superinterfaces:
  IScriptEngine

All Known Implementing Classes:
  RhinoDebuggerEngine

    public interface IDebugEngine
    extends IScriptEngine

Interface to be implemented by a script debug engine.

### Method Summary

Methods
`List<IScriptDebugFrame>` `getStackTrace()` Get the current stack trace.
`void` `setupDebugger(ILaunch launch, boolean suspendOnStartup, boolean suspendOnScriptLoad, boolean showDynamicCode)`

### Methods inherited from interface org.eclipse.ease.IScriptEngine

`addExecutionListener, executeAsync, executeSync, getDescription, getErrorStream, getExecutedFile, getInputStream, getName, getOutputStream, getSaveVariableName, getTerminateOnIdle, getVariable, getVariables, hasVariable, inject, injectUI, isIdle, registerJar, removeExecutionListener, removeVariable, reset, schedule, setCloseStreamsOnTerminate, setErrorStream, setInputStream, setOutputStream, setTerminateOnIdle, setVariable, terminate, terminateCurrent`

### Method Detail

#### getStackTrace

    List<IScriptDebugFrame> getStackTrace()

Get the current stack trace. A trace is a stack starting with the root file executed by the engine. Function calls and files (called via include command) will be put on top of that stack. Each entry may contain a pointer to the current line number executed. Traces might be created dynamically on demand or accumulated during execution depending on the underlying engine.

Returns:
  current stack trace

#### setupDebugger

    void setupDebugger(ILaunch launch,
                     boolean suspendOnStartup,
                     boolean suspendOnScriptLoad,
                     boolean showDynamicCode)